SSTK(2)

NAME
sstk - change stack size

SYNOPSIS
caddr_t sstk(int incr);

DESCRIPTION
(From the 4.3BSD Architecture Manual)

Each process begins execution with three logical areas of memories called text, data and stack. The text area is read-only and shared, while the data and stack areas are private to the process. Both the data and stack areas may be extended and contracted on program request. The call

caddr_t addr = sbrk(incr);

changes the size of the data area by incr bytes and returns the new end of the data area, while

caddr_t addr = sstk(incr);

changes the size of the stack area. The stack area is also automatically extended as needed. On the VAX the text and data areas are adjacent in the P0 region, while the stack section is in the P1 region, and grows downward.

NOTE
This call is not supported in 4.3BSD or 4.4BSD or glibc or Linux or any other known Unix-like system. Some systems have a routine of this name that returns ENOSYS.

SEE ALSO
sbrk(2)